aboutsummaryrefslogtreecommitdiff
path: root/release/deploy-github.sh
diff options
context:
space:
mode:
authorHarsh Shandilya <msfjarvis@gmail.com>2019-12-16 03:19:18 +0530
committerGitHub <noreply@github.com>2019-12-16 03:19:18 +0530
commite61551bf3756a49f9eb4ee03bd726f3c6167dad7 (patch)
tree2a4c60c76aa6b24fb492cb2ea57def3cc29483c7 /release/deploy-github.sh
parent3a7c54136047c5d2d7bb807100bcc40affad65d2 (diff)
Setup snapshot deployment (#599)
* Setup snapshot deployment * README: Update repository links * README: Update workflow badge link * README: Add link to Snapshot builds * Fix snapshot/pull-request build conflict * Deploy from feature/deploy-snapshots as well * Revert "Deploy from feature/deploy-snapshots as well" Confirmed it works well This reverts commit 06f6bc0e8c19f238643655d09ca20f83dd416283. Signed-off-by: Harsh Shandilya <msfjarvis@gmail.com>
Diffstat (limited to 'release/deploy-github.sh')
-rwxr-xr-xrelease/deploy-github.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/release/deploy-github.sh b/release/deploy-github.sh
new file mode 100755
index 00000000..42a984c4
--- /dev/null
+++ b/release/deploy-github.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+trap 'exit 1' SIGINT SIGTERM
+
+[ -z "$(command -v hub)" ] && { echo "hub not installed; aborting!"; exit 1; }
+TAG="${1}"
+hub tag -afs "${TAG:?}"
+gradle clean bundleRelease assembleRelease
+hub release create "${TAG}" -a app/build/outputs/apk/release/aps_"${TAG}".apk